using System;
using Server;
using Server.Gumps;
using Server.Network;
using Server.Mobiles;

namespace Server.Engines.Quests
{
	public class QuestButton
	{
		public static void Initialize()
		{
			EventSink.QuestGumpRequest += new QuestGumpRequestHandler( EventSink_QuestGumpRequest );
		}

		public static void EventSink_QuestGumpRequest( QuestGumpRequestArgs e )
		{
			Mobile from = e.Mobile;
			from.CloseGump( typeof( TempGump ) );
			from.SendGump( new TempGump( from ) );
        }
	}

	public class TempGump : Gump
	{
		public TempGump( Mobile m ) : base( 10, 10 )
		{
            this.Closable=true;
			this.Disposable=true;
			this.Dragable=true;
			this.Resizable=false;

			AddPage(0);
			AddImage(30, 5, 12105);
			AddImage(0, 0, 12104);


			AddImage(750, 166, 12106);
			AddHtml( 765, 166, 200, 48, @"<BODY><BASEFONT Color=#FF0000><BIG>Covetous</BIG></BASEFONT></BODY>", (bool)false, (bool)false);



		// divide by 4 or 25%
		}

		public override void OnResponse( NetState sender, RelayInfo info )
		{
		}
	}
}